### Hierarchy

- BaseWebcomponent
  - JsonViewer

## Index

### Constructors

- constructor

### Properties

- allowCopy
- base
- collapseAt
- data
- dataJson
- el
- jsonLoaded
- jsonUrl
- jsonViewer
- maxLevel

### Methods

- componentDidLoad
- componentDidUnload
- fetchJson
- render

## Constructors

### constructor

- new JsonViewer(): JsonViewer

- Overrides BaseWebcomponent.__constructor

  - Defined in json-viewer/json-viewer.tsx:22

  #### Returns JsonViewer

## Properties

### allowCopy

allowCopy: boolean = true

- Defined in json-viewer/json-viewer.tsx:20

### base

base: BaseService

Inherited from BaseWebcomponent.base

- Defined in /Users/bobstoute/BillingHouse/@ema/js-base/src/lib/base/base-webcomponent.ts:6

### collapseAt

collapseAt: number

- Defined in json-viewer/json-viewer.tsx:19

### data

data: any

- Defined in json-viewer/json-viewer.tsx:13

### dataJson

dataJson: string

- Defined in json-viewer/json-viewer.tsx:16

### el

el: HTMLElement

- Defined in json-viewer/json-viewer.tsx:11

### jsonLoaded

jsonLoaded: boolean = false

- Defined in json-viewer/json-viewer.tsx:14

### jsonUrl

jsonUrl: string

- Defined in json-viewer/json-viewer.tsx:17

### jsonViewer

jsonViewer: any

- Defined in json-viewer/json-viewer.tsx:22

### maxLevel

maxLevel: number

- Defined in json-viewer/json-viewer.tsx:18

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in json-viewer/json-viewer.tsx:29

  #### Returns void

### componentDidUnload

- componentDidUnload(): void

- - Defined in json-viewer/json-viewer.tsx:33

  #### Returns void

### fetchJson

- fetchJson(url: string): Promise<any>

- Inherited from BaseWebcomponent.fetchJson

  - Defined in /Users/bobstoute/BillingHouse/@ema/js-base/src/lib/base/base-webcomponent.ts:12

  #### Parameters

  - ##### url: string

  #### Returns Promise<any>

### render

- render(): Element

- - Defined in json-viewer/json-viewer.tsx:37

  #### Returns Element